# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Regexp-Parser
Version:	0.21
Release:	3.%{__distinit}%{__distvers}
Summary:	Base class for parsing regexes
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Regexp-Parser/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TO/TODDR/Regexp-Parser-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(NEXT)
BuildRequires:	perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
# Pseudo-packages used internally
Provides:	perl(Regexp::Parser::Diagnostics) = 0
Provides:	perl(Regexp::Parser::Handlers) = 0
Provides:	perl(Regexp::Parser::Objects) = 0

# Drop unversioned provide (rpm 4.9 onwards)
%global __provides_exclude ^perl\\(Regexp::Parser\\)$

%description
This module parses regular expressions (regexes). Its default "grammar" is
Perl 5.8.4's regex set. Grammar is quoted because the module does not so much
define a grammar as let each matched node state what it expects to match next,
but there is not currently a way of extracting a complete grammar.

%prep
%setup -q -n Regexp-Parser-%{version}

# Drop unversioned provide (prior to rpm 4.9)
%global provfilt /bin/sh -c "%{__perl_provides} | grep -Fvx 'perl(Regexp::Parser)'"
%define __perl_provides %{provfilt}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Perl6/
%{perl_vendorlib}/Regexp/
%{_mandir}/man3/Regexp::Parser.3pm*
%{_mandir}/man3/Regexp::Parser::Handlers.3pm*
%{_mandir}/man3/Regexp::Parser::Objects.3pm*

%changelog
* Tue Jun 12 2012 Paul Howarth <paul@city-fan.org> - 0.21-3
- BR: perl(base), perl(Carp), perl(constant) and perl(Exporter) for module
- BR: perl(Data::Dumper) for test suite
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT

* Wed Jul  6 2011 Paul Howarth <paul@city-fan.org> - 0.21-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Sun May 29 2011 Paul Howarth <paul@city-fan.org> - 0.21-1
- Update to 0.21:
  - Fix warning emissions in perl 5.10+ (Variable "$nest" is not available...)
    (CPAN RT#42096)
  - Fix test failures in perl 5.14 by converting t/02subclass.t to Test::More
    (CPAN RT#66848)
- This release by TODDR -> update source URL
- BR: perl(Test::More)
- Nobody else likes macros for commands

* Fri Mar 18 2011 Paul Howarth <paul@city-fan.org> - 0.20-1
- Initial RPM version
